/* FilterSidebar.css */

.FilterSidebar {
  background: #fff2f2 0% 0% no-repeat padding-box;
  min-height: 100vh;
}
/* HEADER */

/* FILTER TITLE */

.FilterSidebar .filter_title {
  background: #c40000;
  padding: 10px 16px;
}

.FilterSidebar .filter_title span {
  color: #ffffff;
  font-size: 18px;
  font-weight: 700;
}

/* SECTION */

.FilterSidebar .filter_section {
  border-bottom: 1px solid #d6cccc;
  padding: 10px 0;
}

.FilterSidebar .section_heading {
  padding: 0 14px;
  margin-bottom: 12px;
  font-size: 17px;
  font-weight: 700;
  color: #343434;
}

/* SERVICE ITEMS */

.FilterSidebar .service_list {
  display: flex;
  flex-direction: column;
  gap: 6px;
  max-height: 200px;
  overflow: hidden;
  overflow-y: auto;
  scrollbar-width: none;
}

.FilterSidebar .service_item {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 7px 14px;
  cursor: pointer;
  transition: 0.3s;
  background: transparent;
  border-left: 5px solid transparent;
  position: relative;
  z-index: 1;
}

.FilterSidebar .service_item:before {
  content: "";
  position: absolute;
  left: 0px;
  width: 0%;
  height: 100%;
  border-left: 5px solid transparent;
  background: transparent linear-gradient(270deg, #ffffff 0%, #ff8a8a70 100%) 0%
    0% no-repeat padding-box;
  transition: 0.3s;
  z-index: -1;
}

.FilterSidebar .service_item.active.service_item:before,
.FilterSidebar .service_item:active.service_item:before,
.FilterSidebar .service_item:hover.service_item:before {
  transition: 0.3s;
  width: 100%;
  border-left: 5px solid #fb0000;
  background: transparent linear-gradient(270deg, #ffffff 0%, #ff8a8a70 100%) 0%
    0% no-repeat padding-box;
  transition: 0.3s;
}

.FilterSidebar .service_item.active .arrow_icon,
.FilterSidebar .service_item:active .arrow_icon,
.FilterSidebar .service_item:hover .arrow_icon {
  font-size: 12px;
  color: #c70000;
}
.FilterSidebar .service_item span {
  font-size: 14px;
  color: #343434;
  font-weight: 600;
  width: 90%;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  overflow-wrap: break-word;
  word-break: normal;
}

.FilterSidebar .arrow_icon {
  font-size: 12px;
  color: #000;
}

/* ACCORDION */

.FilterSidebar .accordion_header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 14px;
  cursor: pointer;
  font-size: 17px;
  font-weight: 700;
  color: #343434;
}
/* CHECKBOX */

.FilterSidebar .checkbox_list {
  margin-top: 14px;
  display: flex;
  flex-direction: column;
  gap: 12px;
  padding: 0 14px 10px;
}

.FilterSidebar .checkbox_item {
  display: flex;
  align-items: center;
  gap: 10px;
  cursor: pointer;
}

.FilterSidebar .checkbox_item input {
  width: 16px;
  height: 16px;
  cursor: pointer;
}

.FilterSidebar .checkbox_item span {
  font-size: 15px;
  font-weight: 500;
  text-align: left;
  letter-spacing: 0px;
  color: #1a1a1a;
  text-transform: capitalize;
  opacity: 1;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  width: 90%;
  -webkit-box-orient: vertical;
  overflow: hidden;
  overflow-wrap: break-word;
  word-break: normal;
}

/* ==========================================
   RANGE SLIDER
========================================== */

.FilterSidebar .range_slider_box {
  padding: 16px 14px 8px;
}

.FilterSidebar .range_value {
  font-size: 14px;
  font-weight: 600;
  color: #343434;
  margin-bottom: 14px;
}

/* SLIDER */

.FilterSidebar .custom_range_slider {
  -webkit-appearance: none;
  appearance: none;
  width: 100%;
  height: 6px;
  border-radius: 20px;
  background: #f5b3b3;
  outline: none;
  cursor: pointer;
  transition: 0.3s;
}

/* WEBKIT TRACK */

.FilterSidebar .custom_range_slider::-webkit-slider-runnable-track {
  height: 6px;
  border-radius: 20px;
  background: #f5b3b3;
}

/* WEBKIT THUMB */

.FilterSidebar .custom_range_slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 18px;
  height: 18px;
  background: #c40000;
  border-radius: 50%;
  border: 3px solid #fff;
  box-shadow: 0px 2px 6px rgba(0, 0, 0, 0.2);
  margin-top: -6px;
  transition: 0.3s;
}

.FilterSidebar .custom_range_slider:hover::-webkit-slider-thumb {
  transform: scale(1.1);
}

/* FIREFOX */

.FilterSidebar .custom_range_slider::-moz-range-track {
  height: 6px;
  border-radius: 20px;
  background: #f5b3b3;
}

.FilterSidebar .custom_range_slider::-moz-range-thumb {
  width: 18px;
  height: 18px;
  background: #c40000;
  border: none;
  border-radius: 50%;
  cursor: pointer;
}

/* MOBILE */

@media (max-width: 767px) {
  .FilterSidebar .range_value {
    font-size: 13px;
  }

  .FilterSidebar .custom_range_slider::-webkit-slider-thumb {
    width: 16px;
    height: 16px;
  }
}

@media (min-width: 992px) and (max-width: 1199px) {
  .common_title .title {
    font-size: 22px;
  }
}
